Subject: Re: bug#8967: 24.0.50; Aparrent dependency on gnome

From: Jan Djärv <[email-masked]>
Date: Thu, 30 Jun 2011 23:22:57 +0200

Hi.

Have you tried configuring --without-gsettings?
Gnome is notorious for printing out error messages and abort instead of just 
return some status.  I'll fix this soonish, but --without-gsettings should 
work for now.

	Jan D.

John ff skrev 2011-06-30 20.06:
>   src/emacs -Q
>
> GLib-GIO-ERROR **: Settings schema 'org.gnome.desktop.interface' is not installed
>
> aborting...
> Fatal error (6)Abort
> xenakis:~/GNU_21/emacs/trunk 275>
>
> I do not have gnome and do not use it.  This was OK yesterday but
> today's update leads to this failure.  I could try a make bootstrap
> but that risks losing this working version.
>
>
> In GNU Emacs 24.0.50.12 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.1)
>   of 2011-06-29 on xenakis
> Windowing system distributor `The X.Org Foundation', version 11.0.10903000
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_GB.UTF-8
>    value of $XMODIFIERS: @im=local
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: Fundamental
>
> Minor modes in effect:
>    auto-image-file-mode: t
>    show-paren-mode: t
>    display-time-mode: t
>    tooltip-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> <help-echo>  M-m C-x k<return>  M-x r e p o<tab>  r
> t<tab>  <return>
>
> Recent messages:
> Loading uniquify...done
> Loading /jpff/mail-filter.el (source)...done
> Loading logger...done
> Loading /jpff/.myemacs.elc...done
> Loading image-file...done
> Loading delsel...done
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Loading mail-extr...done
> Parsing /jpff/.mailrc... done
> Making completion list...
>
> Load-path shadows:
> /bigdisk/jpff/GNU_21/local-lisp/autotest-mode hides /usr/local/share/emacs/site-lisp/autotest-mode
> /bigdisk/jpff/GNU_21/local-lisp/autoconf-mode hides /usr/local/share/emacs/site-lisp/autoconf-mode
> /bigdisk/jpff/GNU_21/local-lisp/ses hides /jpff/GNU_21/emacs/trunk/lisp/ses
> /bigdisk/jpff/GNU_21/local-lisp/ruler-mode hides /jpff/GNU_21/emacs/trunk/lisp/ruler-mode
> /bigdisk/jpff/GNU_21/local-lisp/t-mouse hides /jpff/GNU_21/emacs/trunk/lisp/t-mouse
> /bigdisk/jpff/GNU_21/local-lisp/scroll-lock hides /jpff/GNU_21/emacs/trunk/lisp/scroll-lock
> /bigdisk/jpff/GNU_21/local-lisp/emerge hides /jpff/GNU_21/emacs/trunk/lisp/vc/emerge
> /bigdisk/jpff/GNU_21/local-lisp/url-cookie hides /jpff/GNU_21/emacs/trunk/lisp/url/url-cookie
> /bigdisk/jpff/GNU_21/local-lisp/url hides /jpff/GNU_21/emacs/trunk/lisp/url/url
> /bigdisk/jpff/GNU_21/local-lisp/url-cid hides /jpff/GNU_21/emacs/trunk/lisp/url/url-cid
> /bigdisk/jpff/GNU_21/local-lisp/url-irc hides /jpff/GNU_21/emacs/trunk/lisp/url/url-irc
> /bigdisk/jpff/GNU_21/local-lisp/url-nfs hides /jpff/GNU_21/emacs/trunk/lisp/url/url-nfs
> /bigdisk/jpff/GNU_21/local-lisp/url-misc hides /jpff/GNU_21/emacs/trunk/lisp/url/url-misc
> /bigdisk/jpff/GNU_21/local-lisp/url-ldap hides /jpff/GNU_21/emacs/trunk/lisp/url/url-ldap
> /bigdisk/jpff/GNU_21/local-lisp/url-parse hides /jpff/GNU_21/emacs/trunk/lisp/url/url-parse
> /bigdisk/jpff/GNU_21/local-lisp/url-gw hides /jpff/GNU_21/emacs/trunk/lisp/url/url-gw
> /bigdisk/jpff/GNU_21/local-lisp/url-ns hides /jpff/GNU_21/emacs/trunk/lisp/url/url-ns
> /bigdisk/jpff/GNU_21/local-lisp/url-news hides /jpff/GNU_21/emacs/trunk/lisp/url/url-news
> /bigdisk/jpff/GNU_21/local-lisp/url-auth hides /jpff/GNU_21/emacs/trunk/lisp/url/url-auth
> /bigdisk/jpff/GNU_21/local-lisp/url-file hides /jpff/GNU_21/emacs/trunk/lisp/url/url-file
> /bigdisk/jpff/GNU_21/local-lisp/url-cache hides /jpff/GNU_21/emacs/trunk/lisp/url/url-cache
> /bigdisk/jpff/GNU_21/local-lisp/url-vars hides /jpff/GNU_21/emacs/trunk/lisp/url/url-vars
> /bigdisk/jpff/GNU_21/local-lisp/url-http hides /jpff/GNU_21/emacs/trunk/lisp/url/url-http
> /bigdisk/jpff/GNU_21/local-lisp/socks hides /jpff/GNU_21/emacs/trunk/lisp/net/socks
> /bigdisk/jpff/GNU_21/local-lisp/feedmail hides /jpff/GNU_21/emacs/trunk/lisp/mail/feedmail
> /bigdisk/jpff/GNU_21/local-lisp/spam-stat hides /jpff/GNU_21/emacs/trunk/lisp/gnus/spam-stat
> /bigdisk/jpff/GNU_21/local-lisp/icalendar hides /jpff/GNU_21/emacs/trunk/lisp/calendar/icalendar
>
> Features:
> (shadow emacsbug help-mode view mailabbrev mailalias mailcrypt
> mail-extr comint ring sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils eldoc delsel image-file cus-start cus-load
> logger crypt crypt++ crypt+pgp-pub paren uniquify advice help-fns
> advice-preload holidays hol-loaddefs regexp-opt cal-menu easymenu
> calendar cal-loaddefs time tooltip ediff-hook vc-hooks lisp-float-type
> mwheel x-win x-dnd tool-bar dnd fontset image fringe lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face files text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process
> dynamic-setting font-render-setting move-toolbar gtk x-toolkit x
> multi-tty emacs)
>
> ==John ffitch
>
>